Eclipse Rich Ajax Platform

## org.eclipse.rwt.widgets
Class BrowserUtil

    java.lang.Object
      org.eclipse.rwt.widgets.BrowserUtil

    public final class BrowserUtil

extends java.lang.Object

Utility class to work with non-blocking browser script execution.

Since:
  1.5
See Also:
  `Browser`

Method Summary
`static void` `evaluate(Browser browser, java.lang.String script, BrowserCallback browserCallback)` Executes the given script in a non-blocking way.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### evaluate

    public static void evaluate(Browser browser,
                                java.lang.String script,
                                BrowserCallback browserCallback)

  Executes the given script in a non-blocking way. The `browserCallback` is notified when the result from the operation is available.

  Use this method instead of the `execute()` or `evaluate()` methods from the respective `Browser` widget when running a life cycle without a dedicated UI thread where `evaluate()` does not block the program execution flow.

  Parameters:
    `browser` - the browser to execute the script, must not be `null`.
    `script` - the script to execute, must not be `null`.
    `browserCallback` - the callback to be notified when the result from the script execution is available, must not be `null`.
  See Also:
    `Browser`, `BrowserCallback`, `ILifeCycle`, `Application.OperationMode`

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.